Send a test webhook
curl --request POST \
--url https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"object": "webhook_test",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"delivery_ids": [
"wdlv_0123456789abcdef0123456789abcdef"
],
"latest_delivery": {
"object": "webhook_delivery",
"id": "wdlv_0123456789abcdef0123456789abcdef",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"endpoint_id": "we_0123456789abcdef0123456789abcdef",
"event_type": "session.fingerprint.calculated",
"status": "pending",
"attempts": 1,
"response_status": 1,
"response_body": "response_body",
"error": "error",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}Endpoints
Send a test webhook
Requires Authorization: Bearer sk_* with the webhooks:manage scope. Enqueues a webhook.test delivery for the selected endpoint.
POST
/
v1
/
organizations
/
{organizationId}
/
webhooks
/
endpoints
/
{endpointId}
/
test
Send a test webhook
Authorizations
Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.
Path Parameters
Pattern:
^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$Example:
"org_f6m39y94nh6fs513q03skj929c"
Pattern:
^we_[0-9a-f]{32}$Example:
"we_0123456789abcdef0123456789abcdef"
Response
Test webhook delivery enqueued.
Show child attributes
Show child attributes
Example:
{ "object": "webhook_test", "event_id": "wevt_0123456789abcdef0123456789abcdef", "delivery_ids": ["wdlv_0123456789abcdef0123456789abcdef"], "latest_delivery": { "object": "webhook_delivery", "id": "wdlv_0123456789abcdef0123456789abcdef", "event_id": "wevt_0123456789abcdef0123456789abcdef", "endpoint_id": "we_0123456789abcdef0123456789abcdef", "event_type": "session.fingerprint.calculated", "status": "pending", "attempts": 1, "response_status": 1, "response_body": "response_body", "error": "error", "created_at": "2026-03-24T20:00:00.000Z", "updated_at": "2026-03-24T20:00:05.000Z" } }
Show child attributes
Show child attributes
Example:
{ "request_id": "req_cf147349a4134208aebb8c70e25fb7e1" }
⌘I